Page MenuHomePhabricator

'oathauth-module-invalid' lacks i18n en/qqq.json keys
Closed, ResolvedPublic

Description

ea984e5c2b2e added some more code and i18n keys but oathauth-module-invalid was missing. Spotted today when 2FA for translatewiki.net broke (cfr. T228268) making the error MWException message not helpful.

Details

Related Gerrit Patches:
mediawiki/extensions/OATHAuth : REL1_34Add missing oathauth-module-invalid message
mediawiki/extensions/OATHAuth : masterAdd missing oathauth-module-invalid message

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 11:31 AM

Hi @ItSpiderman - Which wording shall we use for this new key? Thanks.

Zoranzoki21 added a subscriber: Zoranzoki21.

OATHAuth module is invalid?

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptNov 1 2019, 5:47 PM

This error occurs when module that user has registered cannot be instantiated, like if WebAuthn module has been enabled, and user enabled it, but then WebAuthn was disabled.

So i would suggest: "OATHAuth module user has registered is invalid" or something to that effect.

Thank you

The OATHAuth module that the user has registered is invalid. for en.json then.

Change 548503 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/OATHAuth@master] Add missing oathauth-module-invalid message

https://gerrit.wikimedia.org/r/548503

Reedy closed this task as Resolved.Nov 9 2019, 8:14 PM

Change 548503 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Add missing oathauth-module-invalid message

https://gerrit.wikimedia.org/r/548503

Change 549984 had a related patch set uploaded (by Reedy; owner: Zoranzoki21):
[mediawiki/extensions/OATHAuth@REL1_34] Add missing oathauth-module-invalid message

https://gerrit.wikimedia.org/r/549984

Change 549984 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@REL1_34] Add missing oathauth-module-invalid message

https://gerrit.wikimedia.org/r/549984

Change 559028 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@REL1_34] RELEASE-NOTES-1.34: Add notes for T212067 and T228269 backports

https://gerrit.wikimedia.org/r/559028